//
// $Id: icqchatsession.h,v 1.1 2001/01/17 01:54:23 bills Exp $
//
// Wrapper class for icqlib's icq_ChatSession struct.
//
// $Log: icqchatsession.h,v $
// Revision 1.1  2001/01/17 01:54:23  bills
// added
//
//

#ifndef _ICQCHATSESSION_H
#define _ICQCHATSESSION_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qobject.h>
#include <qstrlist.h>
#include <icq.h>

class IcqChatSession : public QObject {
  Q_OBJECT
public:
  IcqChatSession(icq_ChatSession *psession);
  ~IcqChatSession(void);
  void chatNotify(int type, int length, void *data);
  void sendData(const char *data);
  void sendData_n(const char *data, int length);
  void close(void);

  unsigned long remoteUIN(void) const;
  QString remoteHandle(void) const;
signals:
  void statusChanged(int status);
  void data(int length, void *_data);
  void closed();
private:
  icq_ChatSession *m_session;
};
#endif // _ICQCHATSESSION_H
