/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
// $Id: infoabout.cpp,v 1.4 2000/10/12 22:52:36 napalmbox Exp $
// $Log: infoabout.cpp,v $
// Revision 1.4  2000/10/12 22:52:36  napalmbox
// some "polish" ...
//
// Revision 1.3  2000/09/30 19:49:25  napalmbox
// big update
//
// Revision 1.2  2000/09/13 19:11:12  napalmbox
// replase kicq ver 1.0.0 files with kicq ver 2.0.0 files
//
// Revision 1.1.2.1  2000/07/02 05:45:55  napalmbox
// port kicq -> kde2 :))
//
// Revision 1.1  2000/05/24 16:58:18  denis
// Sources have been splitted to the whole bunch of appropriate
// directories. Every directory is end up with static library. All
// of them are linked together to the final kicq binary.
//
// Revision 1.7  2000/01/10 16:08:26  denis
// Headers reorganized for simplify dependencies and speedup compilation.
//
// Revision 1.6  1999/07/23 12:37:32  denis
// Layout management support implemented.
// Cleaned up.
//
// Revision 1.5  1999/07/16 15:48:07  denis
// Cleaned up.
//
// Revision 1.4  1998/12/08 16:17:09  denis
// Cleaned up a little before releasing
//

#include <qlayout.h>
#include <qbuttongroup.h>
#include "corewidget.h"
#include "main.h"
#include "infoabout.h"

#include "infoabout.moc"

AboutWidget::AboutWidget(QWidget *parent) : QWidget(parent)
{
  QButtonGroup *infobox = new QButtonGroup(this);
  infobox->setGeometry(2, 6, 404, 140);
  infobox->setFrameStyle(QFrame::Box | QFrame::Sunken);
  infobox->setTitle(i18n("Additional details about the user"));

  aboutbox = new MLine(infobox, true);
  aboutbox->setGeometry(10, 18, 383, 111);

  QButtonGroup *notebox = new QButtonGroup(this);
  notebox->setGeometry(2, 150, 404, 100);
  notebox->setFrameStyle(QFrame::Box | QFrame::Sunken);
  notebox->setTitle(i18n("Enter additional information/notes about this person here"));

  notesbox = new QMultiLineEdit(notebox);
  notesbox->setGeometry(10, 18, 383, 71);
  notesbox->setFrameStyle(QFrame::Panel | QFrame::Sunken);
  notesbox->setWordWrap(QMultiLineEdit::WidgetWidth);
  notesbox->setWrapPolicy(QMultiLineEdit::AtWhiteSpace);
}

void AboutWidget::setInfo(const QString &pabout)
{
  aboutbox->setText(pabout);
}

void AboutWidget::setMyInfo(const QString &pnotes)
{
  notesbox->setText(pnotes);
}
