/***************************************************************************
    description          : infowork.h
    begin                : Wed Apr 12 2000
    copyright            : (C) 2000 by Florian Veskov
    email                : napalmbox@icqmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _INFOWORK_H
#define _INFOWORK_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qlabel.h>
#include <qlineedit.h>
#include <qbuttongroup.h>
#include <qmultilineedit.h>
#include <qpushbutton.h>

class ULine;
class MLine;

class WorkWidget : public QWidget {
  Q_OBJECT
public:
  WorkWidget(QWidget *);
public slots:
signals:
protected:
protected slots:
private:
  ULine *nline, *dline, *pline, *oline, *fline, *cityline, *stateline, *zipline, *ccline, *homepline;
  QLabel *nlebel, *dlabel, *plabel, *olabel, *phlabel, *flabel, *phico, *ssll, *faxico,
         *addll, *citylabel, *statelabel, *ziplabel,*cclabel, *homepico, *ppll, *hhll;
  QButtonGroup *nbox , *phbox, *addbox;
  MLine *addmultyline;
  QPushButton *dspmapbut;
private slots:
};
#endif
