/***************************************************************************
    description          : mydetailsabout.cpp
    begin                : Wed Apr 12 2000
    copyright            : (C) 2000 by Florian Veskov
    email                : napalmbox@icqmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qbuttongroup.h>
#include "mainwindow.h"
#include "mydetails.h"
#include "mydetailsabout.h"

#include "mydetailsabout.moc"

MyAboutWidget::MyAboutWidget(QWidget *parent) : QWidget(parent)
{
  QButtonGroup *mbox = new QButtonGroup(this);
  mbox->setGeometry(2, 6, 404, 245);
  mbox->setFrameStyle(QFrame::Box | QFrame::Sunken);
  mbox->setTitle(i18n("Enter additional details about yourself"));

  lb1 = new QLabel(mbox);
  lb1->setGeometry(10, 18, 333, 19);
  lb1->setFrameStyle(QFrame::NoFrame);
  lb1->setText(i18n("Write a bit about your personality, favorites, family, friends "));
  lb1->setAlignment(AlignLeft | AlignVCenter);

  lb2 = new QLabel(mbox);
  lb2->setGeometry(10, 38, 376, 22);
  lb2->setFrameStyle(QFrame::NoFrame);
  lb2->setText(i18n("so that other ICQ members with similar interests can locate you."));
  lb2->setAlignment(AlignLeft | AlignTop);

  lb3 = new QLabel(mbox);
  lb3->setGeometry(10, 61, 388, 20);
  lb3->setFrameStyle(QFrame::NoFrame);
  lb3->setText(i18n("Your message will also appear in your Personal ICQ Communication"));
  lb3->setAlignment(AlignLeft | AlignVCenter);

  lb4 = new QLabel(mbox);
  lb4->setGeometry(10, 82, 380, 20);
  lb4->setFrameStyle(QFrame::NoFrame);
  lb4->setText(i18n("Center at http://www.icq.com/YOUR_ICQ#."));
  lb4->setAlignment(AlignLeft | AlignTop);

  aboutbox = new QMultiLineEdit(mbox);
  aboutbox->setGeometry(10, 120, 383, 115);
  aboutbox->setFrameStyle(QFrame::Panel | QFrame::Sunken);
  aboutbox->setWordWrap(QMultiLineEdit::FixedColumnWidth);

}

MyAboutWidget::~MyAboutWidget()
{
}

