/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _CHATWINDOW_
#define _CHATWINDOW_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qsplitter.h>
#include <qmenubar.h>

#include "icqwindow.h"
#include "icqchatsession.h"

class WrapEdit;
class ChatEdit;

class ChatWindow : public IcqWindow {
  Q_OBJECT
public:
  ChatWindow(IcqChatSession *pchat);
  ~ChatWindow(void);
public slots:
signals:
protected:
  void resizeEvent(QResizeEvent *);
  void closeEvent(QCloseEvent *);
protected slots:
  void sessionClosed();
  void textReceived(int length, char *data);
  void textEntered(QString data);
private:
  QSplitter *splitter;
  ChatEdit *localBox;
  WrapEdit *remoteBox;
  IcqChatSession *icqChatSession;
  void CrashGuard(void);
private slots:
};
#endif /* _CHATWINDOW_ */
