/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _INFOADDR_
#define _INFOADDR_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qlabel.h>
#include <qlined.h>

#include <qlabel.h>
#include <qlined.h>
#include <qmultilineedit.h>
#include <qpushbutton.h>
#include <qcombobox.h>
#include <qcheckbox.h>

class ULine;
class MLine;

class AddrWidget : public QWidget {
  Q_OBJECT
public:
  AddrWidget(QWidget *);
  void setInfo(const QString&, const QString &, const QString &, unsigned short, unsigned char, const QString &, const QString &);
public slots:
signals:
protected:
  ULine *cityline, *stateline, *zipline, *countryline, *timeline, *utimeline, *phline, *faxline, *cellline;
  MLine *addressline;
  QPushButton *mapbut;
  QComboBox *gmtcombo;
  QCheckBox *gmtcheck;
protected slots:
private:
private slots:
  void slotUpdateTime();
};
#endif

