/***************************************************************************
    description          : mydetailshome.h
    begin                : Thu Sep 14 2000
    copyright            : (C) 2000 by Florian Veskov
    email                : napalmbox@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYDETAILSHOME_H
#define MYDETAILSHOME_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qlabel.h>
#include <qlined.h>
#include <qmultilineedit.h>
#include <qpushbutton.h>
#include <qcombobox.h>
#include "corewidget.h"

class ULine;
class MyHomeWidget : public QWidget {
  Q_OBJECT
public:
  MyHomeWidget(QWidget *);
  ~MyHomeWidget();
public slots:
signals:
protected:
  QLineEdit *cityline, *stateline, *zipline, *phline, *faxline, *cellline;
  ULine *timeline;
  QMultiLineEdit *addressline;
  QPushButton *mapbut;
  QComboBox *gmtcombo, *countryline;
protected slots:
private:
private slots:
  void setMyTime();
  void slotUpdateTime();
};
#endif
