/***************************************************************************
    description          : mydetailsmore.cpp
    begin                : Thu Sep 14 2000
    copyright            : (C) 2000 by Florian Veskov
    email                : napalmbox@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <icq.h>
#include <qbuttongroup.h>
#include <qlined.h>
#include <qlabel.h>
#include "mainwindow.h"
#include "mydetails.h"
#include "mydetailsmore.h"
#include "mydetailspics.h"

#include "mydetailsmore.moc"

MyMoreWidget::MyMoreWidget(QWidget *parent) : QWidget(parent)
{
  QButtonGroup *hpbox = new QButtonGroup(this);
  hpbox->setGeometry(2, 6, 404, 82);
  hpbox->setFrameStyle(QFrame::Box | QFrame::Sunken);
  hpbox->setTitle(i18n("Additional Details"));

  QLabel *hplabel = new QLabel(i18n("Homepage:"),hpbox);
  hplabel->setGeometry(10, 18, 73, 20);
  hplabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  hplabel->setFrameStyle(QFrame::NoFrame);
  hplabel->setAlignment(AlignLeft | AlignVCenter);

  hpline = new QLineEdit(hpbox);
  hpline->setGeometry(85, 18, 283, 20);

  hpbut = new QPushButton(hpbox);
  hpbut->setGeometry(375, 18, 20, 20);
  hpbut->setPixmap(QPixmap(hp_xpm));

  QLabel *genderlabel = new QLabel(i18n("Gender:"),hpbox);
  genderlabel->setGeometry(28, 48, 52, 20);
  genderlabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  genderlabel->setFrameStyle(QFrame::NoFrame);
  genderlabel->setAlignment(AlignLeft | AlignVCenter);

  genderline = new QComboBox((bool)0,hpbox);
  genderline->setGeometry(85, 48, 89, 20);
  for(int i=0; i<3; i++)
  genderline->insertItem(icq_Genders[i].name);

  QLabel *agelabel = new QLabel(i18n("Age:"),hpbox);
  agelabel->setGeometry(184, 48, 34, 20);
  agelabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  agelabel->setFrameStyle(QFrame::NoFrame);
  agelabel->setAlignment(AlignLeft | AlignVCenter);

  ageline = new QLineEdit(hpbox);
  ageline->setGeometry(220, 48, 43, 20);

  hpcbut = new QPushButton(hpbox);
  hpcbut->setGeometry(274, 48, 122, 20);
  hpcbut->setText(i18n("Homepage Category"));

///////////////////////////////////////////////////////////////////////////////////////////////////////////
  QButtonGroup *dbox = new QButtonGroup(this);
  dbox->setGeometry(2, 108, 404, 48);
  dbox->setFrameStyle(QFrame::Box | QFrame::Sunken);
  dbox->setTitle(i18n("Birth Date"));

  QLabel *mlabel = new QLabel(i18n("Month:"),dbox);
  mlabel->setGeometry(10, 18, 46, 20);
  mlabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  mlabel->setFrameStyle(QFrame::NoFrame);
  mlabel->setAlignment(AlignLeft | AlignVCenter);

  mline = new QLineEdit(dbox);
  mline->setGeometry(58, 18, 100, 20);

  QLabel *dlabel = new QLabel(i18n("Day:"),dbox);
  dlabel->setGeometry(174, 18, 29, 20);
  dlabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  dlabel->setFrameStyle(QFrame::NoFrame);
  dlabel->setAlignment(AlignLeft | AlignVCenter);

  dline = new QLineEdit(dbox);
  dline->setGeometry(210, 18, 40, 20);

  QLabel *ylabel = new QLabel(i18n("Year:"),dbox);
  ylabel->setGeometry(269, 18, 38, 20);
  ylabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  ylabel->setFrameStyle(QFrame::NoFrame);
  ylabel->setAlignment(AlignLeft | AlignVCenter);

  yline = new QLineEdit(dbox);
  yline->setGeometry(310, 18, 74, 20);
///////////////////////////////////////////////////////////////////////////////////////////////////////////////
  QButtonGroup *lbox = new QButtonGroup(this);
  lbox->setGeometry(2, 180, 404, 60);
  lbox->setFrameStyle(QFrame::Box | QFrame::Sunken);
  lbox->setTitle(i18n("Spoken Languages"));

  lang1line = new QComboBox((bool)0,lbox);
  lang1line->setGeometry(10, 25, 110, 20);

  lang2line = new QComboBox((bool)0,lbox);
  lang2line->setGeometry(145, 25, 110, 20);

  lang3line = new QComboBox((bool)0,lbox);
  lang3line->setGeometry(279, 25, 110, 20);

}

MyMoreWidget::~MyMoreWidget()
{
}

