/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _ICQSOUND_H
#define _ICQSOUND_H

#include <qstrlist.h>
#include <qdict.h>
#include <kaudioplayer.h>
#include <ksimpleconfig.h>
#include <kconfig.h>
class IcqSound : QObject {
  Q_OBJECT
public:
  IcqSound(void);
  ~IcqSound(void);
  void clear(void);
  const QStrList *getEventList(void) const { return &eventList; }
  void setEvent(const QString &, const QString &);
  const QString getEvent(const QString &);
  void play(const QString &filename);
  void soundEvent(const QString &event);
  QDict<char> sounds;
  QStrList eventList;
  void loadsounds(void);
  void savesounds(void);
protected:
  KAudioPlayer *audio;
};
#endif
