/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
// $Id: kurllineedit.cpp,v 1.3 2000/10/15 19:21:10 davidvh Exp $
// $Log: kurllineedit.cpp,v $
// Revision 1.3  2000/10/15 19:21:10  davidvh
// Some small fixes.
//
// Revision 1.2  2000/09/13 19:11:13  napalmbox
// replase kicq ver 1.0.0 files with kicq ver 2.0.0 files
//
// Revision 1.1.2.1  2000/07/02 05:45:55  napalmbox
// port kicq -> kde2 :))
//
// Revision 1.1  2000/05/24 16:59:50  denis
// Sources have been splitted to the whole bunch of appropriate
// directories. Every directory is end up with static library. All
// of them are linked together to the final kicq binary.
//
// Revision 1.6  2000/01/10 16:08:41  denis
// Headers reorganized for simplify dependencies and speedup compilation.
//

#include <stdlib.h> 
#include <iostream.h>
#include <qstring.h>
#include <qtooltip.h>
#include "main.h"

#include "kurllineedit.h"
#include "kwebbrowser.h"

#include "kurllineedit.moc"

KURLLineEdit::KURLLineEdit(QWidget *parent) : KLineEditWithPopupMenu(parent)
{
  popup()->insertItem(i18n("Open URL"), this, SLOT(openURL()), 0, 0);
  QToolTip::add(this, "Press Right Mouse Button For Options");

  connect(popup(), SIGNAL(aboutToShow()), this, SLOT(performBeforePopupOperations()));
  return;
}

KURLLineEdit::~KURLLineEdit(void)
{
  return;
}

void KURLLineEdit::openURL(void)
{
  KWebBrowser::callWebBrowser(text());  
  return;
}

void KURLLineEdit::performBeforePopupOperations(void)
{
// cerr << text() << ' ' << i18n("N/A") << endl;
  if (QString(text()).stripWhiteSpace() == QString(i18n("N/A")).stripWhiteSpace()
      || QString(text()).isEmpty())
  {
    popup()->setItemEnabled(0, FALSE);
//     cerr << "is na !" << endl;
  }
  else
  {
    popup()->setItemEnabled(0, TRUE);   
//     cerr << "is not na !" << endl;
  }
  return;
}
